package partie_1;

import java.io.FileWriter;
import java.io.IOException;

//INFO-H-301 - POO
//TP2 - Exercice 2.1, 2.2 et 2.3
//Person.java

public class Person {
	private String firstName;
	private String lastName;
	private Date dateOfBirth;
	
	public Person(String firstName, String lastName, Date dateOfBirth)
	{
		this.firstName = firstName;
		this.lastName = lastName;
		this.dateOfBirth = dateOfBirth;
	}
	
	public String toString()
	{
		return firstName+" "+lastName+" n le "+dateOfBirth
			+ ", il a "+age()+ " ans.";
	}
	
	public int age()
	{
		Date today = new Date();
		return dateOfBirth.yearsTo(today);
	}
	
	public void save(String filename) throws IOException
	{
        FileWriter writer = new FileWriter(filename);
		try {
			writer.write(this.toString());
		} finally {
			writer.close();
		}
	}
}
